### Signal

# RB Player::tick

#### Declaration

    void
    tick (
      RBPlayer* self,
      gpointer stream_data,
      gint64 elapsed,
      gint64 duration,
      gpointer user_data
    )

#### Description [src]

The ‘tick’ signal is emitted repeatedly while the stream is playing. Signal handlers can use this to update UI and to prepare new streams for crossfade or gapless playback.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`stream_data`

  Type: `gpointer`

  The data associated with the stream.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`elapsed`

  Type: `gint64`

  Playback position in the stream (in nanoseconds).

`duration`

  Type: `gint64`

  Current estimate of the duration of the stream (in nanoseconds).